gtkmm: Gtk::PageSetupUnixDialog Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::PageSetupUnixDialog Class Reference
Printing

PageSetupUnixDialog implements a page setup dialog for platforms which don't provide a native page setup dialog, like Unix. More...

Inheritance diagram for Gtk::PageSetupUnixDialog:
[legend]
Collaboration diagram for Gtk::PageSetupUnixDialog:
[legend]

List of all members.

## Public Member Functions
virtual | ~PageSetupUnixDialog ()
GtkPageSetupUnixDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkPageSetupUnixDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| PageSetupUnixDialog (Gtk::Window& parent, const Glib::ustring& title)
| PageSetupUnixDialog (const Glib::ustring& title)
void | set_page_setup (const Glib::RefPtr< PageSetup >& page_setup)
| Sets the Gtk::PageSetup from which the page setup dialog takes its values.
Glib::RefPtr< PageSetup > | get_page_setup ()
| Gets the currently selected page setup from the dialog.
Glib::RefPtr< const PageSetup > | get_page_setup () const
| Gets the currently selected page setup from the dialog.
void | set_print_settings (const Glib::RefPtr< PrintSettings >& print_settings)
| Sets the Gtk::PrintSettings from which the page setup dialog takes its values.
Glib::RefPtr< PrintSettings > | get_print_settings ()
| Gets the current print settings from the dialog.
Glib::RefPtr< const PrintSettings > | get_print_settings () const
| Gets the current print settings from the dialog.
## Related Functions
(Note that these are not member functions.)
Gtk::PageSetupUnixDialog* | wrap (GtkPageSetupUnixDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

PageSetupUnixDialog implements a page setup dialog for platforms which don't provide a native page setup dialog, like Unix.

It can be used very much like any other GTK+ dialog, at the cost of the portability offered by the high-level printing API exposed through PrintOperation.

Since gtkmm 2.10:

## Constructor & Destructor Documentation

virtual Gtk::PageSetupUnixDialog::~PageSetupUnixDialog | ( |  | ) | `[virtual]`

Gtk::PageSetupUnixDialog::PageSetupUnixDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring & | title
| ) |  | `[explicit]`

Gtk::PageSetupUnixDialog::PageSetupUnixDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

## Member Function Documentation

Glib::RefPtr<PageSetup> Gtk::PageSetupUnixDialog::get_page_setup | ( |  | ) |

Gets the currently selected page setup from the dialog.

Since gtkmm 2.10:

Returns:
  The current page setup.

Glib::RefPtr<const PageSetup> Gtk::PageSetupUnixDialog::get_page_setup | ( |  | ) | const

Gets the currently selected page setup from the dialog.

Since gtkmm 2.10:

Returns:
  The current page setup.

Glib::RefPtr<const PrintSettings> Gtk::PageSetupUnixDialog::get_print_settings | ( |  | ) | const

Gets the current print settings from the dialog.

Since gtkmm 2.10:

Returns:
  The current print settings.

Glib::RefPtr<PrintSettings> Gtk::PageSetupUnixDialog::get_print_settings | ( |  | ) |

Gets the current print settings from the dialog.

Since gtkmm 2.10:

Returns:
  The current print settings.

GtkPageSetupUnixDialog* Gtk::PageSetupUnixDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

const GtkPageSetupUnixDialog* Gtk::PageSetupUnixDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

void Gtk::PageSetupUnixDialog::set_page_setup | ( | const Glib::RefPtr< PageSetup >& | page_setup | ) |

Sets the Gtk::PageSetup from which the page setup dialog takes its values.

Since gtkmm 2.10:

Parameters:

  page_setup | A Gtk::PageSetup.

void Gtk::PageSetupUnixDialog::set_print_settings | ( | const Glib::RefPtr< PrintSettings >& | print_settings | ) |

Sets the Gtk::PrintSettings from which the page setup dialog takes its values.

Since gtkmm 2.10:

Parameters:

  print_settings | A Gtk::PrintSettings.

## Friends And Related Function Documentation

Gtk::PageSetupUnixDialog* wrap | ( | GtkPageSetupUnixDialog * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/pagesetupunixdialog.h